Bug 415241 - Can't compile kernel with CONFIG_SCHEDSTATS turned on
Can't compile kernel with CONFIG_SCHEDSTATS turned on
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Baron
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 00:47 EST by Tony Sceats
Modified: 2013-03-06 01:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Sceats 2007-12-07 00:47:38 EST
Description of problem:

Can't compile kernel with CONFIG_SCHEDSTATS turned on

Version-Release number of selected component (if applicable): 
from source package

kernel-2.6.9-67.EL.src

How reproducible:
very

Steps to Reproduce:
1. edit /usr/src/redhat/SOURCES/kernel-2.6.9-x86_64*.config
2. change CONFIG_SCHEDSTAT=y 
3. rpmbuild --target=x86_64 -ba /usr/src/redhat/SPECS/kernel-2.6.spec
  
Actual results:
kernel/sched.c: In function `load_balance_newidle':
kernel/sched.c:2228: error: structure has no member named `lb_balanced'
kernel/sched.c: At top level:
kernel/sched.c:3122: warning: `interruptible_sleep_on' is deprecated (declared
at kernel/sched.c:3110)
kernel/sched.c:3156: warning: `sleep_on_timeout' is deprecated (declared at
kernel/sched.c:3142)
make[1]: *** [kernel/sched.o] Error 1
make: *** [kernel] Error 2
make: *** Waiting for unfinished jobs....
arch/x86_64/kernel/mpparse.c: In function `MP_processor_info':
arch/x86_64/kernel/mpparse.c:178: warning: implicit declaration of function
`acpi_numa_setup_cpu'
arch/x86_64/kernel/mpparse.c: In function `MP_bus_info':
arch/x86_64/kernel/mpparse.c:186: warning: comparison is always false due to
limited range of data type
arch/x86_64/kernel/mpparse.c: In function `smp_read_mpc':
arch/x86_64/kernel/mpparse.c:363: warning: implicit declaration of function
`clustered_apic_check'
error: Bad exit status from /var/tmp/rpm-tmp.50548 (%build)


Expected results:

a compiled kernel with scheduler stats turned on

Additional info:
Comment 2 Jiri Pallich 2012-06-20 12:17:35 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.